
/**
 * Created by rockyl on 2018/8/16.
 */

import {props} from "../props";
import { Turntable } from "./turntable";





export default class GameView extends engine.Container {

	
	private _hasSetup;
	private _turntable:Turntable;
	constructor() {
		super();	
	}
	 setup(){
		if (this._hasSetup) {
			return;
		}
		this._hasSetup = true;
		
		let turntable = this._turntable = new Turntable();
		this.addChild(turntable);
	}
	setPrizeData(res){
		this._turntable.initData(res);
	}
	startDraw(){
		this._turntable.startDraw();
	}
	setRecordID(prizeID){
		this._turntable.setRecordID(prizeID)
	}
	reset(){
		this._turntable.reset();
	}
	setSetup(){
		this._hasSetup = false;
	}
}
